Index: src/common.c
--- src/common.c.orig	2001-10-22 22:29:22.000000000 +0200
+++ src/common.c	2003-10-10 20:56:44.000000000 +0200
@@ -143,7 +143,7 @@
 /*
  * Set program name
  */
-extern void setprogname(argv)
+extern void rdist_setprogname(argv)
 	char **argv;
 {
 	register char *cp;
@@ -170,7 +170,7 @@
 	if (!isserver)
 		(void) signal(SIGSEGV, sighandler);
 
-	setprogname(argv);
+	rdist_setprogname(argv);
 
 	/*
 	 * Save a copy of our argc and argv before setargs() overwrites them
Index: src/rdist.c
--- src/rdist.c.orig	2001-10-22 22:29:22.000000000 +0200
+++ src/rdist.c	2003-10-10 20:56:57.000000000 +0200
@@ -138,7 +138,7 @@
 	 * We initialize progname here instead of init() because
 	 * things in msgparseopts() need progname set.
 	 */
-	setprogname(argv);
+	rdist_setprogname(argv);
 
 	if (cp = msgparseopts(localmsglist, TRUE)) {
 		error("Bad builtin log option (%s): %s.", 
Index: src/server.c
--- src/server.c.orig	2001-10-22 22:29:22.000000000 +0200
+++ src/server.c	2003-10-10 20:57:43.000000000 +0200
@@ -172,7 +172,7 @@
 /*
  * Set mode of a file
  */
-static int setmode(file, fd, mode, link)
+static int rdist_setmode(file, fd, mode, link)
 	char *file;
 	int fd;
 	int mode;
@@ -355,7 +355,7 @@
 			mode &= ~S_ISGID;
 		}
 	}
-	(void) setmode(file, fd, mode, S_ISLNK(st.st_mode));
+	(void) rdist_setmode(file, fd, mode, S_ISLNK(st.st_mode));
 
 	return(0);
 }
Index: src/filesys-os.c
--- src/filesys-os.c.orig	2001-10-22 22:29:22.000000000 +0200
+++ src/filesys-os.c	2003-10-10 21:04:52.000000000 +0200
@@ -211,6 +211,7 @@
 		mntstruct.me_flags |= MEFLAG_READONLY;
 #endif
 
+#ifdef MOUNT_NFS
 #if	FMT_TYPE == FMT_STATFS_STR && defined(HAVE_GETVFSBYNAME)
 	{
 	    /*
@@ -270,6 +271,16 @@
 		break;
 	}
 #endif	/* FMT_TYPE == FMT_STATFS_STR */
+#else
+   if ((((struct statfs*)mnt)->f_flags & MNT_LOCAL) == 0) {
+       (void) sprintf(remote_dev, "%s", mnt->f_mntfromname);
+       mntstruct.me_path = remote_dev;
+       mntstruct.me_type = METYPE_NFS;
+   } else {
+       mntstruct.me_path = mnt->f_mntonname;
+       mntstruct.me_type = METYPE_OTHER;
+   }
+#endif
 
 	mnt = (struct statfs*)(sizeof(struct statfs)+(ulong)mnt);
 	entries_left--;
Index: src/relsymlink.c
--- src/relsymlink.c.orig	2001-10-22 22:29:22.000000000 +0200
+++ src/relsymlink.c	2003-10-10 21:05:12.000000000 +0200
@@ -76,7 +76,7 @@
 
 #include <stdio.h>
 #include <string.h>
-#include <malloc.h>
+#include <stdlib.h>
 #include <sys/param.h>
 #include "defs.h"
 
Index: include/defs.h
--- include/defs.h.orig	2001-10-22 22:21:36.000000000 +0200
+++ include/defs.h	2003-10-10 20:57:12.000000000 +0200
@@ -333,7 +333,6 @@
 extern void			complain();
 extern void			docmds();
 extern void			finish();
-extern void			log();
 extern void			logmsg();
 extern void			lostconn();
 extern void			markassigned();
@@ -342,7 +341,7 @@
 extern void			runcmdspecial();
 extern void			runcommand();
 extern void			server();
-extern void			setprogname();
+extern void			rdist_setprogname();
 extern void			sighandler();
 extern void			waitup();
 struct namelist		       *expand();
